---
updatedAt: 2025-09-24T00:04:21.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# List banks

Return a list of supported banks

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/banks": {
      "get": {
        "summary": "List banks",
        "description": "Return a list of supported banks",
        "operationId": "list-banks",
        "parameters": [
          {
            "name": "countries",
            "in": "query",
            "description": "Values: fr, es, it, pt, de, be, nl, lu, pl, hu, ie, mt, cz, no, bg, se, dk, at, sk. If you set multiple values, the union between them is a \"OR\".",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "capabilities",
            "in": "query",
            "description": "Filter the bank capabilities you need : ais, account_check, single_transfer, bulk_transfer, single_payment, single_payment_scheduled, bulk_payment and bulk_payment_scheduled. If you set multiple values, the union between them is a \"AND\".",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "after",
            "in": "query",
            "description": "Cursor pointing to the start of the desired set.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Number of records to return. Accepted values: 1 - 500.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": null
            }
          },
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"resources\": [\n    {\n      \"id\": 416,\n      \"name\": \"BNP Paribas Privée\",\n      \"country_code\": \"FR\",\n      \"primary_color\": \"007942\",\n      \"secondary_color\": \"00AC7B\",\n      \"logo_url\": \"https://web.bankin.com/img/banks-logo/france/12_BNPParisbasParticulier@2x.png\",\n      \"authentication_type\": \"INTERNAL_CREDS\",\n      \"parent_name\": \"BNP\",\n      \"capabilities\": [\n        \"ais\",\n        \"single_transfer\",\n        \"single_payment\"\n      ],\n      \"transfer\": {\n        \"nb_max_transactions\": 1,\n        \"max_size_label\": 140,\n        \"multiple_dates_transfers\": false\n  \t\t},\n  \t\t\"payment\": {\n    \t\t\"nb_max_transactions\": 1,\n    \t\t\"max_size_label\": 140,\n    \t\t\"multiple_dates_payments\": false,\n    \t\t\"sender_iban_available\": true\n      },\n      \"channel_type\": [\n        \"dsp2\",\n        \"direct_access\"\n    \t]\n    },\n    // ...\n  ],\n  \"pagination\": {\n    \"next_uri\": null\n  }\n}"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/banks' \\\n\t-X GET \\\n\t-H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```